# Products Products ## Gets all of the products in the system. - [GET /products/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/listproducts.md): This method will scan all products and and return them to the caller. ## Creates a new product record that does not already exist. - [POST /products/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/createproduct.md): This method will auto-generate an ID and create a new product. If an ID is specified for the product, an error will be thrown. ## Execute Batch Operations - [POST /products/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified fund_id - [GET /products/{tenantId}/fund/{fund_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/listproductsbyfundid.md): Returns a list of records with the specified fund_id ## Returns a product from the system by its ID. - [DELETE /products/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/deleteproduct.md): This method will delete a product with the specified ID. ## Returns a product from the system by its ID. - [GET /products/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/getproduct.md): This method will look up a product by the specified ID and return it back. ## Partially updates a product with the specified ID. - [PATCH /products/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/patchproduct.md): This method will patch an existing product with the specified ID, using the HTTP PATCH specification. ## Updates a product with the specified ID. - [PUT /products/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/products/updateproduct.md): This method will update an existing product with the specified ID.